---
id: 699b70b10ae344c802d106b0
title: Step 12
challengeType: 1
dashedName: step-12
---

# --description--

Now it is time to add a couple more properties to the `userRoles` object.

Add a `moderator` property with a value of `"medium-access"`. 

Then below that, add a `guest` property with a value of `3`.

# --hints--

Your `userRoles` object should have a `moderator` property.

```js
const explorer = await __helpers.Explorer(code);
const { userRoles } = explorer.variables;
assert.exists(userRoles.objectProps.moderator);
```

Your `moderator` property should have a value of `"medium-access"`.

```js
const explorer = await __helpers.Explorer(code);
const { userRoles } = explorer.variables;
assert.isTrue(userRoles.objectProps.moderator.value.matches("'medium-access'"));
```

Your `userRoles` object should have a `guest` property.

```js
const explorer = await __helpers.Explorer(code);
const { userRoles } = explorer.variables;
assert.exists(userRoles.objectProps.guest);
```

Your `guest` property should have a value of the number `3`.

```js
const explorer = await __helpers.Explorer(code);
const { userRoles } = explorer.variables;
assert.isTrue(userRoles.objectProps.guest.value.matches("3"));
```

# --seed--

## --seed-contents--

```ts
const profile: {
  username: string;
  age: number;
  isLoggedIn: boolean;
  bio?: string;
  programmingLanguages: string[];
} = {
  username: "codeLearner",
  age: 25,
  isLoggedIn: false,
  programmingLanguages: ["JavaScript", "Python", "C++"]
};

console.log(profile);

const userRoles: Record<string, string> = {
  admin: "full-access",
  editor: "limited-access",
--fcc-editable-region--
  viewer: "read-only"
  
--fcc-editable-region--
};

console.log(userRoles);
```
